Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.monitor
Interface FinishedReport

    public interface FinishedReport

Interface `FinishedReport` contains information of finished reports in the report server.

Method Summary
`java.lang.String` | `getCatalog()` Returns the catalog of the report.
`long` | `getEndTime()` Gets the finished time of the report in the server.
`int` | `getLaunchType()` Returns the launch type of the report.
`java.lang.String` | `getLaunchTypeToString()` Gets the launch type of display string.
`java.lang.String` | `getParamFile()` Returns the parameter file name of the report.
`java.lang.String` | `getPublishType()` Gets the type of publish.
`java.lang.String` | `getReason()` Gets the error reason after running report error occurs.
`java.lang.String` | `getRemoteHost()` Returns the remote host of the report.
`java.lang.String` | `getReport()` Returns the report name of the report.
`java.util.Vector` | `getResultFile()` Gets the name of the result file of the report.
`java.lang.String` | `getRunName()` Gets the name of the server which provides JREngine in cluster server.
`java.lang.String` | `getRunPort()` Gets the port of the server which provides JREngine in cluster server.
`long` | `getStartRunTime()` Gets the started run time of the report in the server.
`long` | `getSubmitTime()` Gets the submitted time of the report by client.
`java.lang.String` | `getTaskClass()` Returns the task class of the report.
`java.lang.String` | `getTaskClassToString()` Gets the task class of display string.
`java.lang.String` | `getTaskID()` Returns the task ID of the report.
`int` | `getTotalPageNumber()` Gets the total page number of the report.
`java.lang.String` | `getUserID()` Returns the user id of the report.
`long` | `getWaitTimeInRun()` Gets the waiting time when running the report in the server.

Method Detail

### getTaskID

    java.lang.String getTaskID()

  Returns the task ID of the report.

  Returns:
    the task ID of the report.

### getTaskClass

    java.lang.String getTaskClass()

  Returns the task class of the report.

  Returns:
    the task class of the report.

### getLaunchType

    int getLaunchType()

  Returns the launch type of the report.

  Returns:
    the launch type of the report.

### getUserID

    java.lang.String getUserID()

  Returns the user id of the report.

  Returns:
    the user id of the report.

### getRemoteHost

    java.lang.String getRemoteHost()

  Returns the remote host of the report.

  Returns:
    the remote host of the report.

### getCatalog

    java.lang.String getCatalog()

  Returns the catalog of the report.

  Returns:
    the catalog of the report.

### getReport

    java.lang.String getReport()

  Returns the report name of the report.

  Returns:
    the report name of the report.

### getParamFile

    java.lang.String getParamFile()

  Returns the parameter file name of the report. If no any parameter, return null.

  Returns:
    the parameter file name.

### getResultFile

    java.util.Vector getResultFile()

  Gets the name of the result file of the report. If no result file, return null.

  Returns:
    the vector containing the name of the result file.

### getTotalPageNumber

    int getTotalPageNumber()

  Gets the total page number of the report.

  Returns:
    the total page number of the report, If running the report failed, return -1.

### getReason

    java.lang.String getReason()

  Gets the error reason after running report error occurs. If running successfully, return null.

  Returns:
    the error reason.

### getSubmitTime

    long getSubmitTime()

  Gets the submitted time of the report by client.

  Returns:
    the submitted time of the report by client.

### getStartRunTime

    long getStartRunTime()

  Gets the started run time of the report in the server.

  Returns:
    the start run time of the report in the server.

### getEndTime

    long getEndTime()

  Gets the finished time of the report in the server.

  Returns:
    the finish time of the report in the server.

### getWaitTimeInRun

    long getWaitTimeInRun()

  Gets the waiting time when running the report in the server.

  Returns:
    the waiting time when running the report in the server.

### getRunName

    java.lang.String getRunName()

  Gets the name of the server which provides JREngine in cluster server.

  Returns:
    the name of the server which provides JREngine in cluster server.

### getRunPort

    java.lang.String getRunPort()

  Gets the port of the server which provides JREngine in cluster server.

  Returns:
    the port of the server which provides JREngine in cluster server.

### getLaunchTypeToString

    java.lang.String getLaunchTypeToString()

  Gets the launch type of display string.

  Returns:
    the launch type of display string.

### getTaskClassToString

    java.lang.String getTaskClassToString()

  Gets the task class of display string.

  Returns:
    the task class of display string.

### getPublishType

    java.lang.String getPublishType()

  Gets the type of publish.

  Returns:
    the type of publish.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD